"use strict";
// taken from https://www.npmjs.com/package/callsites due to issues loading.
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCallerFiles = exports.getCallerFromIndex = void 0;
function getCallerFromIndex(index) {
    const files = getCallerFiles();
    if (index < 0 || index >= files.length) {
        throw Error('A caller site index must be between 0 & ' + (files.length - 1));
    }
    return getCallerFiles()[index].getFileName();
}
exports.getCallerFromIndex = getCallerFromIndex;
function getCallerFiles() {
    const _prepareStackTrace = Error.prepareStackTrace;
    Error.prepareStackTrace = (_, stack) => stack;
    const stack = new Error().stack.slice(1);
    Error.prepareStackTrace = _prepareStackTrace;
    return stack;
}
exports.getCallerFiles = getCallerFiles;
//# sourceMappingURL=caller-site.js.map