"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Injectable = void 0;
const tsyringe_1 = require("tsyringe");
/**
 * Marks a class as injectable, allowing it to be used by
 * DI.
 *
 * It will still need to be registered through a setup file
 * or other method.
 */
exports.Injectable = tsyringe_1.injectable;
//# sourceMappingURL=injectable.js.map